Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623083 - Could not move mouse to bottom of screen on rotated display
Could not move mouse to bottom of screen on rotated display
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 05:35 EDT by Miroslav Suchý
Modified: 2010-11-10 16:59 EST (History)
3 users (show)

See Also:
Fixed In Version: xorg-x11-server-1.7.7-26.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:59:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
first xorg.conf (1.13 KB, text/plain)
2010-08-11 05:36 EDT, Miroslav Suchý
no flags Details
second xorg conf (1.82 KB, text/plain)
2010-08-11 05:37 EDT, Miroslav Suchý
no flags Details
Xorg.0.log (143.69 KB, text/plain)
2010-08-11 05:37 EDT, Miroslav Suchý
no flags Details

  None (edit)
Description Miroslav Suchý 2010-08-11 05:35:27 EDT
Description of problem:
I just upgraded to xorg-x11-drv-ati-6.13.0-6.el6.x86_64 and suddenly I can not move mouse to bottom of screen.
I have two monitors and I have them rotated using "xrandr --output DVI-0 --rotate left". Today I upgraded system, rebooted (I install new kernel as well) and when I rotate display again I could not move mouse to bottom of screen. I estimate that the cursor stopped around 1200 horizontal on my 1600x1200 screen. This happen on both screens. I tried 2 different xorg.conf, and even without conf at all, but the behaviour is the same. I'm attaching both conf I tried and log as well.
My wild guess is that display is rotate, but mouse still think the resolution is 1600x1200, but it now is 1200x1600.

Version-Release number of selected component (if applicable):
[root@dri//home/msuchy]# rpm -qa |grep xorg
xorg-x11-drv-void-debuginfo-1.3.0-4.el6.x86_64
xorg-x11-server-Xorg-1.7.7-24.el6.x86_64
xorg-x11-fonts-misc-7.2-9.1.el6.noarch
xorg-x11-utils-debuginfo-7.4-8.el6.x86_64
xorg-x11-proto-devel-7.4-35.el6.noarch
xorg-x11-server-utils-7.4-15.el6.x86_64
xorg-x11-drv-evdev-debuginfo-2.3.2-8.el6.x86_64
xorg-x11-xauth-1.0.2-7.1.el6.x86_64
xorg-x11-drv-ati-6.13.0-6.el6.x86_64
xorg-x11-utils-7.4-8.el6.x86_64
xorg-x11-drv-vesa-2.3.0-1.el6.x86_64
xorg-x11-apps-7.4-10.el6.x86_64
xorg-x11-xinit-1.0.9-13.el6.x86_64
xorg-x11-apps-debuginfo-7.4-10.el6.x86_64
xorg-x11-xdm-1.1.6-14.1.el6.x86_64
xorg-x11-drv-vesa-debuginfo-2.3.0-1.el6.x86_64
xorg-x11-drv-ati-firmware-6.13.0-6.el6.noarch
xorg-x11-drv-ati-debuginfo-6.13.0-6.el6.x86_64
xorg-x11-server-utils-debuginfo-7.4-15.el6.x86_64
xorg-x11-drv-evdev-2.3.2-8.el6.x86_64
xorg-x11-font-utils-7.2-10.el6.x86_64
xorg-x11-xdm-debuginfo-1.1.6-14.1.el6.x86_64
xorg-x11-drv-void-1.3.0-4.el6.x86_64
xorg-x11-font-utils-debuginfo-7.2-10.el6.x86_64
xorg-x11-xkb-utils-7.4-6.el6.x86_64
xorg-x11-server-common-1.7.7-24.el6.x86_64
xorg-x11-xinit-debuginfo-1.0.9-13.el6.x86_64
xorg-x11-xauth-debuginfo-1.0.2-7.1.el6.x86_64
xorg-x11-xkb-utils-debuginfo-7.4-6.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. have two monitors
2. rotate them to left using xrandr
  
Actual results:
mouse is unable to reach bottom of screen

Expected results:
mouse can reach all parts of screen

Additional info:
If I leave monitors as is (not rotated), then everything works as expected.
Comment 1 Miroslav Suchý 2010-08-11 05:36:44 EDT
Created attachment 438141 [details]
first xorg.conf
Comment 2 Miroslav Suchý 2010-08-11 05:37:07 EDT
Created attachment 438142 [details]
second xorg conf
Comment 3 Miroslav Suchý 2010-08-11 05:37:46 EDT
Created attachment 438143 [details]
Xorg.0.log
Comment 4 Adam Jackson 2010-08-11 09:28:27 EDT
Try downgrading to xorg-x11-server-Xorg-1.7.7-23.el6.  I may have gotten rotation handling wrong in the cursor confinement patch in -24.
Comment 5 Miroslav Suchý 2010-08-11 09:56:18 EDT
Yes, If I downgrade, then the correct behaviour is restored.
Comment 6 Adam Jackson 2010-08-11 11:38:18 EDT
Alright, try this server package instead:

http://download.devel.redhat.com/brewroot/scratch/ajackson/task_2676085/
Comment 7 Miroslav Suchý 2010-08-12 04:35:45 EDT
Yes these packages from #6 fixed *this* problem.
Comment 8 Adam Jackson 2010-08-12 10:26:55 EDT
Built this as 1.7.7-26.el6.  MODIFIED.
Comment 13 releng-rhel@redhat.com 2010-11-10 16:59:10 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.